<?php
// Own namespace
namespace Org\Mxchange\CoreFramework\Parser\Xml;

// Import framework stuff
use Org\Mxchange\CoreFramework\Generic\FrameworkException;

/**
 * An exception thrown when an XML parser error was detected
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2022 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class XmlParserException extends FrameworkException {
	/**
	 * The super constructor for all exceptions
	 *
	 * @param	$classArray		Array holding the exception data
	 * @param	$code			Error code
	 * @return	void
	 */
	public function __construct (array $classArray, int $code) {
		// Construct our message
		$message = sprintf('[%s:%d] XML Error: %s at line %d.',
			$classArray[0]->__toString(),
			$this->getLine(),
			xml_error_string(xml_get_error_code($classArray[1])),
			xml_get_current_line_number($classArray[1])
		);

		// Call parent exception constructor
		parent::__construct($message, $code);
	}

}
